[Numpy-discussion] rc2 for NumPy 1.4.1 and Scipy 0.7.2

Charles سمير Doutriaux doutriaux1@llnl....
Thu Apr 15 19:39:39 CDT 2010


Thx Ralf,

I was able to get the 64bit version going. But as I mentioned earlier this doesn't help me since I have other externals dying...

I'll try the 32bit one again with these hints.

Thanks again,

C.

On Apr 15, 2010, at 4:53 PM, Ralf Gommers wrote:

> 
> 2010/4/16 Charles سمير Doutriaux <doutriaux1@llnl.gov>
> Hi There,
> 
> 1.4.1rc2
> gcc 4.2.1
> 
> And yes I'm trying to build a 32bit python because a lot of externals seem to be breaking with the 64bit stuff... 
> 
> But I'm giving it another shot building 64bit
> 
> For 64-bit the command is:
> $ LDFLAGS="-arch x86_64" FFLAGS="-arch x86_64" python setup.py install
> or equivalent with numscons.
> 
> For 32-bit 
> $ python setup.py install
> should work, but the compiler should be gcc-4.0 (when building against python.org python this happens automatically), even though your default compiler is gcc-4.2. Also, you need to have the 10.4SDK installed from XCode optional installs.
> 
> Cheers,
> Ralf
> _______________________________________________
> NumPy-Discussion mailing list
> NumPy-Discussion@scipy.org
> http://*mail.scipy.org/mailman/listinfo/numpy-discussion

-------------- next part --------------
An HTML attachment was scrubbed...
URL: http://mail.scipy.org/pipermail/numpy-discussion/attachments/20100415/d48926b8/attachment-0001.html 


More information about the NumPy-Discussion mailing list